summaryrefslogtreecommitdiffstats
path: root/network/wireshark/wireshark.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 17:44:27 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:44:27 +0200
commita24e8290749e5fd7101ac1489137f277f5f160e8 (patch)
tree1365a4b178c69707c5be75d6d95605600cbfa92e /network/wireshark/wireshark.SlackBuild
parentd9242b54e426e739c926157c87a2b6b0123628e9 (diff)
downloadslackbuilds-a24e8290749e5fd7101ac1489137f277f5f160e8.tar.gz
slackbuilds-a24e8290749e5fd7101ac1489137f277f5f160e8.tar.xz
network/wireshark: Updated for version 1.2.0
Diffstat (limited to 'network/wireshark/wireshark.SlackBuild')
-rw-r--r--network/wireshark/wireshark.SlackBuild22
1 files changed, 15 insertions, 7 deletions
diff --git a/network/wireshark/wireshark.SlackBuild b/network/wireshark/wireshark.SlackBuild
index abf3a2a0d0..8bd0aa0578 100644
--- a/network/wireshark/wireshark.SlackBuild
+++ b/network/wireshark/wireshark.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for wireshark
# Originally written by Jick Nan (jick.nan@gmail.com)
-# Copyright 2008 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2008-2009 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -26,7 +26,7 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=wireshark
-VERSION=${VERSION:-1.1.1}
+VERSION=${VERSION:-1.2.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -38,10 +38,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -50,7 +53,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -59,20 +62,25 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--with-ssl=/usr/lib \
--enable-threads \
--disable-static \
- --disable-debug
+ --disable-debug \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -81,7 +89,7 @@ make install DESTDIR=$PKG
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS* COPYING ChangeLog FAQ INSTALL* NEWS README* \
+cp -a AUTHORS* COPYING ChangeLog INSTALL* NEWS README* doc/READM* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild